Skip to main content
GET
/
v1
/
storage
/
{graph_id}
/
retrieval
/
cURL
curl --request GET \
  --url https://api.unize.org/v1/storage/{graph_id}/retrieval/ \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.unize.org/v1/storage/{graph_id}/retrieval/"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.unize.org/v1/storage/{graph_id}/retrieval/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "question": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "retrieval_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "answer": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "system": "rt-0.5"
}

Authorizations

Authorization
string
header
required

Send the API generated from the Playground:

  • Authorization: <api_key>

Path Parameters

graph_id
string
required

The graph_id of the knowledge graph for which to list all retrievals. A graph_id is an alphanumeric string that uniquely identifies a knowledge graph.

Query Parameters

limit
integer
default:10

Number of retrievals to return per page. Maximum is 100 and minimum is 10.

Required range: 10 <= x <= 100
page
integer
default:1

Indicates which page of results to return when paginating through a list of retrievals. Works together with the limit parameter to divide results into pages.

Response

200 - application/json
question
string
required

The natural language question that was asked.

timestamp
string<date-time>
required
read-only

The date and time when the retrieval request was created.

retrieval_id
string<uuid>

The alphanumeric string that uniquely identifies the retrieval request.

answer
string | null

The answer generated by the system based on the knowledge graph.

status
enum<string>

The status of the retrieval request.

Available options:
queued,
in_progress,
success,
failed
completed_at
string<date-time> | null

The date and time when the retrieval request was completed.

system
enum<string>
  • rt-0.5 (default) - first retrieval system
Available options:
rt-0.5